System.Web.Services 2.0.0.0 System.Object

A object is used to pass information about a set of Web services to the static method of the class.

Describes a reference to a collection of XML Web services.

- Constructor

  The collection should contain only and objects; the method is unable to interpret objects.

  Initializes a new instance of the class with the given description document collection and proxy code namespace.

  A that specifies a collection of description documents.
  A that specifies a namespace for code compilation.
  2.0.0.0
- Constructor

  The collection should contain only and objects; the method is unable to interpret objects.

  Initializes a new instance of the class with the given data.

  A that specifies a collection of description documents.
  A that specifies a namespace for code compilation.
  The URL key of the Web reference.
  The base URL of the Web reference.
  2.0.0.0
- Constructor

  The collection should contain only and objects; the method is unable to interpret objects.

  Initializes a new instance of the class with the given data.

  A that specifies a collection of description documents.
  A that specifies a namespace for code compilation.
  The protocol used by the XML Web service.
  The URL key of the Web reference.
  The base URL of the Web reference.
  2.0.0.0
- Property
  System.String To be added. To be added.

  Gets the base URL of the Web reference.

  2.0.0.0
- Property
  System.String To be added. To be added.

  Gets the URL key of the web reference.

  2.0.0.0
- Property
  System.Web.Services.Discovery.DiscoveryClientDocumentCollection To be added.

  The description document collection associated with a Web reference should contain only and objects; the method is unable to interpret objects.

  Gets the collection of description documents associated with the Web reference.

  2.0.0.0
- Property
  System.String To be added.

  Allowed protocol strings include "Soap" (indicating SOAP 1.0) and "Soap12" (indicating SOAP 1.2). The value of this property determines the protocol used by proxy clients when contacting any XML Web service in the collection.

  For more information on SOAP, see the World Wide Web Consortium Web site, at www.w3.org.

  Gets or sets the protocol associated with the Web reference.

  2.0.0.0
- Property
  System.CodeDom.CodeNamespace To be added. To be added.

  Gets the code namespace associated with the Web reference.

  2.0.0.0
- Property
  System.Collections.Specialized.StringCollection To be added. To be added.

  Gets a collection of warnings generated when validating the description documents.

  2.0.0.0
- Property
  System.Web.Services.Description.ServiceDescriptionImportWarnings To be added. To be added.

  Gets a collection of warnings generated when importing Web Services Description Language (WSDL) service description documents.

  2.0.0.0